Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 238817 - Review Request: qtcurve - Metapackage to install both sides of QtCurve
Summary: Review Request: qtcurve - Metapackage to install both sides of QtCurve
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-05-03 04:06 UTC by Kelly Miller
Modified: 2008-06-28 18:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-28 18:19:24 UTC


Attachments (Terms of Use)

Description Kelly Miller 2007-05-03 04:06:17 UTC
Spec URL: http://crystalsanctuary.rpgsource.net/packages/specs/qtcurve.spec
SRPM URL: http://crystalsanctuary.rpgsource.net/packages/source/qtcurve-0.48.5-1fc6.src.rpm
Description: QtCurve is a set of widget styles for KDE and Gtk2 based apps, based on Bluecurve.  It allows for similar styles to be applied to both KDE and Gtk2-based apps, acheiving decent-looking style unity.

This package doesn't install anything; instead, it simply requires both the KDE and Gtk2 sides of QtCurve.  Installing this package will install all of QtCurve (and all of it's dependencies).

Comment 1 Rex Dieter 2007-05-03 04:13:24 UTC
imo, this is is kinda pointless, but who am I to judge? :)

Comment 2 Laurent Rineau 2008-02-05 11:46:13 UTC
:-) I was about to construct package for QtCurve-0.55, and submit them to 
Fedora.

Kelly, can you update to QtCurve-0.55 in bug #238816 and bug #238815, and also 
provide the KDE4 style? I am using this style in both Gtk2/KDE3/Qt4 apps, and 
my desktop now looks better.

In my opinion, the current meta-package should not exist. Anyway, should it 
exist, then the requirements should be:
  kde-style-qtcurve = %{version}, gtk-qtcurve-engine = %{version}

(In reply to comment #1)
> imo, this is is kinda pointless, but who am I to judge? :)

Rex, you are the maintainer of gtk-qt-engine. I do not understand your point, 
here. In my opinion, using QtCurve for both KDE3, KDE4 and Gtk is a better 
option than gtk-qt-engine, because it offers a quite-uniform look for all the 
desktop, even for KDE3/KDE4. Until all KDE3 applications are ported to KDE4, I 
will prefere to use QtCurve instead of a mix of Oxygen (for KDE4) and any 
other style for Gtk2/KDE3/Qt3.

And, IMO, Oxygen is ugly.


Comment 3 Rex Dieter 2008-02-05 11:56:37 UTC
My "pointless" comment was about the existence of the metapackage (as you seem
to agree), and not anything against qtcurve itself.

Comment 4 Laurent Rineau 2008-02-05 13:49:44 UTC
Sorry Rex for the misunderstanding.


Comment 5 Jason Tibbitts 2008-06-28 18:19:24 UTC
Closing as detailed in bug 238816.


Note You need to log in before you can comment on or make changes to this bug.